Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

The love2d framework needs to be installed in order to play .love files (I noted that in the install instructions, which are unfortunately only visible). However, i just added a version packed with an windows executable so users who don't have it installed don't have to go through the hassle of installing love2d for a game that's not even particularly impressive. (although i cannot verify that it is actually working because i am running a gnu/linux installation rather than windows; if not, please do tell me).

I'm still having issues with the new package, but fear not! I will make a more better-er attempt at getting it to work on the morrow!